---
title: llarp::path::PathContext::SyncTransitMap_t

---

# llarp::path::PathContext::SyncTransitMap_t





## Public Types

|                | Name           |
| -------------- | -------------- |
| using [util::NullMutex](Classes/structllarp_1_1util_1_1NullMutex.md) | **[Mutex_t](Classes/structllarp_1_1path_1_1PathContext_1_1SyncTransitMap__t.md#using-mutex-t)**  |
| using [util::NullLock](Classes/structllarp_1_1util_1_1NullLock.md) | **[Lock_t](Classes/structllarp_1_1path_1_1PathContext_1_1SyncTransitMap__t.md#using-lock-t)**  |

## Public Functions

|                | Name           |
| -------------- | -------------- |
| TransitHopsMap_t second | **[GUARDED_BY](Classes/structllarp_1_1path_1_1PathContext_1_1SyncTransitMap__t.md#function-guarded-by)**(first ) |
| template <typename TransitHopVisitor \> <br>void | **[ForEach](Classes/structllarp_1_1path_1_1PathContext_1_1SyncTransitMap__t.md#function-foreach)**(TransitHopVisitor && visit)<br>Invokes a callback for each transit path; visit must be invokable with a `const TransitHop_ptr&` argument.  |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [Mutex_t](Classes/structllarp_1_1util_1_1NullMutex.md) | **[first](Classes/structllarp_1_1path_1_1PathContext_1_1SyncTransitMap__t.md#variable-first)**  |

## Public Types Documentation

### using Mutex_t

```cpp
using llarp::path::PathContext::SyncTransitMap_t::Mutex_t =  util::NullMutex;
```


### using Lock_t

```cpp
using llarp::path::PathContext::SyncTransitMap_t::Lock_t =  util::NullLock;
```


## Public Functions Documentation

### function GUARDED_BY

```cpp
TransitHopsMap_t second GUARDED_BY(
    first 
)
```


### function ForEach

```cpp
template <typename TransitHopVisitor >
inline void ForEach(
    TransitHopVisitor && visit
)
```

Invokes a callback for each transit path; visit must be invokable with a `const TransitHop_ptr&` argument. 

## Public Attributes Documentation

### variable first

```cpp
Mutex_t first;
```


-------------------------------

Updated on 2023-03-06 at 20:36:34 +0000